die() {
	echo "$0: Error: $*" >&2
	exit 1
}

get() {
	wget https://github.com/love2d/love/releases/download/$version/love-$version-win32.zip || die wget
	unzip love-$version-win32.zip || die unzip
	test -e love-$version-win32/ || mv love-$version*-win32/ love-$version-win32 || die "Can't find win32 love directory"
}

version="11.4"

mkdir -p tmp/reflect-win32 || die mkdir

cd tmp
test -e love-$version-win32/ || get
cd love-$version-win32/
cat love.exe ../../reflect.love > ../reflect-win32/reflect.exe || die cat
cp *.dll license.txt ../reflect-win32/ || die cp
cp ../../README.md ../reflect-win32/readme.txt || die cp
cp ../../CC0 ../reflect-win32/CC0.txt || die cp

cd ..
zip -9 -r ../reflect-win32.zip reflect-win32
